Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.launching
Class StandardClasspathProvider

    java.lang.Object
      org.eclipse.jdt.launching.StandardClasspathProvider

All Implemented Interfaces:
  IRuntimeClasspathProvider

Direct Known Subclasses:
  StandardSourcePathProvider

public class StandardClasspathProvider
extends Object
implements IRuntimeClasspathProvider

Default implementation for classpath provider.

This class may be subclassed.

Since:
  2.0

Constructor Summary
`StandardClasspathProvider()`

Method Summary
`IRuntimeClasspathEntry[]` | `computeUnresolvedClasspath(ILaunchConfiguration configuration)` Computes and returns an unresolved classpath for the given launch configuration.
`protected IRuntimeClasspathEntry[]` | `recoverRuntimePath(ILaunchConfiguration configuration, String attribute)` Returns a collection of runtime classpath entries that are defined in the specified attribute of the given launch configuration.
`IRuntimeClasspathEntry[]` | `resolveClasspath(IRuntimeClasspathEntry[] entries, ILaunchConfiguration configuration)` Returns the resolved path corresponding to the given path, in the context of the given launch configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardClasspathProvider

    public StandardClasspathProvider()

Method Detail

### computeUnresolvedClasspath

    public IRuntimeClasspathEntry[] computeUnresolvedClasspath(ILaunchConfiguration configuration)
                                                        throws CoreException

  Description copied from interface: `IRuntimeClasspathProvider`
  Computes and returns an unresolved classpath for the given launch configuration. Variable and container entries are not resolved.

  Specified by:
    `computeUnresolvedClasspath` in interface `IRuntimeClasspathProvider`
  Parameters:
    `configuration` - launch configuration
  Returns:
    unresolved path
  Throws:
    `CoreException` - if unable to compute a path

### resolveClasspath

    public IRuntimeClasspathEntry[] resolveClasspath(IRuntimeClasspathEntry[] entries,
                                                     ILaunchConfiguration configuration)
                                              throws CoreException

  Description copied from interface: `IRuntimeClasspathProvider`
  Returns the resolved path corresponding to the given path, in the context of the given launch configuration. Variable and container entries are resolved. The returned (resolved) path need not have the same number of entries as the given (unresolved) path.

  Specified by:
    `resolveClasspath` in interface `IRuntimeClasspathProvider`
  Parameters:
    `entries` - entries to resolve
    `configuration` - launch configuration context to resolve in
  Returns:
    resolved path
  Throws:
    `CoreException` - if unable to resolve a path

### recoverRuntimePath

    protected IRuntimeClasspathEntry[] recoverRuntimePath(ILaunchConfiguration configuration,
                                                          String attribute)
                                                   throws CoreException

  Returns a collection of runtime classpath entries that are defined in the specified attribute of the given launch configuration. When present, the attribute must contain a list of runtime classpath entry mementos.

  Parameters:
    `configuration` - launch configuration
    `attribute` - attribute name containing the list of entries
  Returns:
    collection of runtime classpath entries that are defined in the specified attribute of the given launch configuration
  Throws:
    `CoreException` - if unable to retrieve the list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.